Subject: B20: make questions, and an ld.exe.core
From: [email-masked] (John Mullee)

5 Nov 1998 11:08:11 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I am trying to build MetaHtml to on NT; it has 43 sub-makefiles,
which resulted in an unplanned stress-test of ld.

make --jobs=1 didn't help very much either; it just seemed to go into infinite
recursion. (I killed off the ~70 processes when I saw the same subdirectories
being re-made for the third time).
I wonder if this is a makefile problem or a make problem...

Does anyone know what make is supposed to do with recursive dependencies?
ie. is it supposed to do a graph-thoeretic sanity-check, or is it the job
of the makefile author?

Anyway; this is what fell out.

[main] ld 8010 (0) exception: trapped!
[main] ld 8010 (0) exception: code 0xC00000FD at 0x61047A97
[main] ld 8010 (0) exception: ax 0x780 bx 0xA27A000 cx 0x245DDE8 dx 0x0
[main] ld 8010 (0) exception: si 0x1000 di 0x1000 bp 0x245F568 sp 0x245F560
[main] ld 8010 (0) exception: exception is: STATUS_STACK_OVERFLOW
[main] ld 8010 (0) stack: Stack trace:
[main] ld 8010 (0) stack: frame 0: sp = 0x245F374, pc = 0x610098A0
[main] ld 8010 (0) stack: frame 1: sp = 0x245F3B0, pc = 0x77F94512
[main] ld 8010 (0) stack: frame 2: sp = 0x245F3D4, pc = 0x77F88EEB
[main] ld 8010 (0) stack: frame 3: sp = 0x245F460, pc = 0x77F76266
[main] ld 8010 (0) stack: frame 4: sp = 0x245F568, pc = 0x61017820
[main] ld 8010 (0) stack: frame 5: sp = 0x245F580, pc = 0x61017C0F
[main] ld 8010 (0) stack: frame 6: sp = 0x245F5A8, pc = 0x6105B04A
[main] ld 8010 (0) stack: frame 7: sp = 0x245F5B4, pc = 0x61056AD9
[main] ld 8010 (0) stack: frame 8: sp = 0x245F5F0, pc = 0x6105702C
[main] ld 8010 (0) stack: frame 9: sp = 0x245F62C, pc = 0x610193F6
[main] ld 8010 (0) stack: frame 10: sp = 0x245F640, pc = 0x44B5E6
[main] ld 8010 (0) stack: frame 11: sp = 0x245F654, pc = 0x42B227
[main] ld 8010 (0) stack: frame 12: sp = 0x245F66C, pc = 0x42B29E
[main] ld 8010 (0) stack: frame 13: sp = 0x245F680, pc = 0x42B0DE
[main] ld 8010 (0) stack: frame 14: sp = 0x245F6C0, pc = 0x42B383
[main] ld 8010 (0) stack: frame 15: sp = 0x245F6E4, pc = 0x43FC15
[main] ld 8010 (0) stack: End of stack trace (more stack frames may be present)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".